## gnome-sound-recorder 43~beta

=== meson_options.txt ===
option(
        'profile',
        type: 'combo',
        choices: [
                'default',
                'development'
        ],
        value: 'default'
)

## gnome-sound-recorder 3.14.0.1

=== debian/changelog ===
gnome-sound-recorder (3.14.0.1-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Remove leading article from the short description to
    please lintian

  [ Andreas Henriksson ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 23:27:46 +0200

gnome-sound-recorder (3.12.2-1) unstable; urgency=low

  * Initial release. (Closes: #758263)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 13 Sep 2014 13:11:34 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-sound-recorder
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>
Build-Depends: cdbs (>= 0.4.41),
               debhelper (>= 9),
               dh-autoreconf,
               gjs,
               gnome-pkg-tools (>= 0.10),
               gobject-introspection,
               intltool,
               libgdk-pixbuf2.0-dev,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgtk-3-dev (>= 3.9.4),
               pkg-config
Standards-Version: 3.9.5
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-sound-recorder
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-sound-recorder/
Homepage: https://wiki.gnome.org/Design/Apps/SoundRecorder

Package: gnome-sound-recorder
Architecture: any
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gst-plugins-base-1.0,
         gir1.2-gstreamer-1.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0,
         gjs,
         gstreamer1.0-plugins-bad,
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: gnome-media (<< 3.4.0-2~)
Replaces: gnome-media (<< 3.4.0-2~)
Description: simple and modern sound recorder for GNOME
 GNOME sound recorder is an utility to make simple audio recording from your
 GNOME desktop. It supports several formats like OGG, MP3 or FLAC.

## gnome-sound-recorder 3.16.0

=== debian/changelog ===
gnome-sound-recorder (3.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends on libgtk-3-dev to (>= 3.12) as per configure.ac.
  * Bump Standards-Version to 3.9.6.

 -- Michael Biebl <biebl@debian.org>  Tue, 26 May 2015 23:05:55 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 9),
                dh-autoreconf,
@@ -17,9 +17,9 @@
                libgdk-pixbuf2.0-dev,
                libgirepository1.0-dev,
                libglib2.0-dev,
-               libgtk-3-dev (>= 3.9.4),
+               libgtk-3-dev (>= 3.12),
                pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-sound-recorder
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-sound-recorder/
 Homepage: https://wiki.gnome.org/Design/Apps/SoundRecorder

## gnome-sound-recorder 3.18.1

=== debian/changelog ===
gnome-sound-recorder (3.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Oct 2015 17:39:11 +0200

## gnome-sound-recorder 3.18.2

=== debian/changelog ===
gnome-sound-recorder (3.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 Nov 2015 23:34:16 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                pkg-config
 Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-sound-recorder
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-sound-recorder/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-sound-recorder/
 Homepage: https://wiki.gnome.org/Design/Apps/SoundRecorder
 
 Package: gnome-sound-recorder

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_DH_AUTORECONF_ARGS = --as-needed

DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed
include /usr/share/dpkg/default.mk

binary-install/gnome-sound-recorder::
	rm -f debian/gnome-sound-recorder/usr/lib/gnome-sound-recorder/libgd.la

=== debian/watch ===
version=3
http://download.gnome.org/sources/gnome-sound-recorder/([\d\.]+[02468])/gnome-sound-recorder-(.*)\.tar\.xz

## gnome-sound-recorder 3.20.2

=== debian/changelog ===
gnome-sound-recorder (3.20.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 May 2016 15:59:30 +0200

gnome-sound-recorder (3.19.92-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Thu, 28 Apr 2016 23:23:24 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libglib2.0-dev,
                libgtk-3-dev (>= 3.12),
                pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-sound-recorder
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-sound-recorder/
 Homepage: https://wiki.gnome.org/Design/Apps/SoundRecorder

## gnome-sound-recorder 3.21.92

=== debian/changelog ===
gnome-sound-recorder (3.21.92-2) unstable; urgency=medium

  * Depend on gstreamer1.0-pulseaudio for pulsesrc/pulsesink.
    Closes: #852870.
  * Drop dependency on gstreamer1.0-plugins-bad, all the necessary
    plugins are in base/good now.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 14 Mar 2017 22:32:18 +0100

gnome-sound-recorder (3.21.92-1) unstable; urgency=medium

  * New upstream development release.
  * Convert from cdbs to dh.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Sep 2016 02:03:56 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,8 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs (>= 0.4.41),
-               debhelper (>= 9),
-               dh-autoreconf,
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10),
                gjs,
                gnome-pkg-tools (>= 0.10),
                gobject-introspection,
@@ -33,9 +31,9 @@
          gir1.2-gtk-3.0,
          gir1.2-pango-1.0,
          gjs,
-         gstreamer1.0-plugins-bad,
          gstreamer1.0-plugins-base,
          gstreamer1.0-plugins-good,
+         gstreamer1.0-pulseaudio,
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: gnome-media (<< 3.4.0-2~)

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

## gnome-sound-recorder 3.24.0.1

=== debian/changelog ===
gnome-sound-recorder (3.24.0.1-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Dec 2017 15:35:02 -0500

gnome-sound-recorder (3.24.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Add build-dependency on libgstreamer1.0-dev and gstreamer1.0-tools.
    - configure tries to locate gst-inspect-1.0 utility via gstreamer-1.0.pc.
  * Add build-dependency on gstreamer1.0-plugins-{base,good}
    - configure now tries to ensure required plugins are installed
      (these packages are already in our Depends)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Jul 2017 07:56:58 +0200

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,24 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                gjs,
                gnome-pkg-tools (>= 0.10),
                gobject-introspection,
+               libgstreamer1.0-dev,
+               gstreamer1.0-tools,
+               gstreamer1.0-plugins-base,
+               gstreamer1.0-plugins-good,
                intltool,
                libgdk-pixbuf2.0-dev,
                libgirepository1.0-dev,
                libglib2.0-dev,
                libgtk-3-dev (>= 3.12),
                pkg-config
-Standards-Version: 3.9.8
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gnome-sound-recorder
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gnome-sound-recorder/
+Standards-Version: 4.1.2
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-sound-recorder.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gnome-sound-recorder.git
 Homepage: https://wiki.gnome.org/Design/Apps/SoundRecorder
 
 Package: gnome-sound-recorder

## gnome-sound-recorder 3.27.90

=== debian/changelog ===
gnome-sound-recorder (3.27.90-1) experimental; urgency=medium

  * New upstream development release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * Trivial update to debian/copyright

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Feb 2018 08:12:03 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                gjs,
                gnome-pkg-tools (>= 0.10),
                gobject-introspection,
@@ -22,8 +22,8 @@
                libgtk-3-dev (>= 3.12),
                pkg-config
 Standards-Version: 4.1.2
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-sound-recorder.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gnome-sound-recorder.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sound-recorder
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sound-recorder.git
 Homepage: https://wiki.gnome.org/Design/Apps/SoundRecorder
 
 Package: gnome-sound-recorder

## gnome-sound-recorder 3.28.1

=== debian/changelog ===
gnome-sound-recorder (3.28.1-4) unstable; urgency=medium

  * debian/rules: Set libdir=/usr/lib
  * Switch package to arch: all

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 09 Oct 2018 20:55:27 -0400

gnome-sound-recorder (3.28.1-3) unstable; urgency=medium

  * d/p/conditional_catch.patch: Remove conditional catch statement
    not supported in mozjs60 

 -- Tim Lunn <tim@feathertop.org>  Mon, 10 Sep 2018 18:06:53 +1000

gnome-sound-recorder (3.28.1-2) unstable; urgency=medium

  * Add X-Ubuntu-Use-Langpack to opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 05 Sep 2018 14:11:54 -0400

gnome-sound-recorder (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 09 Apr 2018 18:31:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-sound-recorder
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 11),
                gjs,
                gnome-pkg-tools (>= 0.10),
@@ -21,13 +21,14 @@
                libglib2.0-dev,
                libgtk-3-dev (>= 3.12),
                pkg-config
-Standards-Version: 4.1.2
+Standards-Version: 4.2.1
+X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sound-recorder
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sound-recorder.git
 Homepage: https://wiki.gnome.org/Design/Apps/SoundRecorder
 
 Package: gnome-sound-recorder
-Architecture: any
+Architecture: all
 Depends: gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0,
          gir1.2-gst-plugins-base-1.0,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- --libdir=/usr/lib

override_dh_autoreconf:
	dh_autoreconf --as-needed

## gnome-sound-recorder 3.28.2

=== debian/changelog ===
gnome-sound-recorder (3.28.2-2~deb10u1) buster; urgency=medium

  * Team upload
  * Rebuild for Debian 10
    - d/gbp.conf: Set packaging branch to debian/buster

 -- Simon McVittie <smcv@debian.org>  Sun, 08 Sep 2019 11:36:53 +0100

gnome-sound-recorder (3.28.2-2) unstable; urgency=medium

  * Team upload
  * d/p/Fix-crashes-when-selecting-a-recording.patch:
    Add upstream patch fixing crashes with versions of gjs that expose
    GtkContainer.widget (Closes: #932076, #932389)
  * d/gbp.conf: Set packaging branch to debian/unstable and upstream
    branch to upstream/3.28.x. The debian/master and upstream/latest
    branches are already in use for versions >= 3.32 in experimental.

 -- Simon McVittie <smcv@debian.org>  Sun, 08 Sep 2019 11:15:17 +0100

gnome-sound-recorder (3.28.2-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * Drop our extra build flags: not needed with a pure js app
  * Bump Standards-Version to 4.3.0
  * Build-Depend on debhelper-compat 12 and drop debian/compat

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 11 Jan 2019 10:58:29 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                gjs,
                gnome-pkg-tools (>= 0.10),
                gobject-introspection,
@@ -21,7 +21,7 @@
                libglib2.0-dev,
                libgtk-3-dev (>= 3.12),
                pkg-config
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sound-recorder
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sound-recorder.git

## gnome-sound-recorder 3.31.90

=== debian/changelog ===
gnome-sound-recorder (3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Build with meson
  * debian/docs: README → README.md
  * Build-Depend on dh-sequence-gnome

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 12 Feb 2019 23:19:13 -0500

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,21 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
-               gjs,
-               gnome-pkg-tools (>= 0.10),
+               appstream-util <!nocheck>,
+               desktop-file-utils <!nocheck>,
+               dh-sequence-gnome,
                gobject-introspection,
+               libgjs-dev,
                libgstreamer1.0-dev,
                gstreamer1.0-tools,
                gstreamer1.0-plugins-base,
                gstreamer1.0-plugins-good,
-               intltool,
+               itstool,
                libgdk-pixbuf2.0-dev,
                libgirepository1.0-dev,
                libglib2.0-dev,
                libgtk-3-dev (>= 3.12),
+               meson (>= 0.46.0),
                pkg-config
 Standards-Version: 4.3.0
 X-Ubuntu-Use-Langpack: yes

## gnome-sound-recorder 3.32.0

=== debian/changelog ===
gnome-sound-recorder (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Mar 2019 18:48:37 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                appstream-util <!nocheck>,
                desktop-file-utils <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# https://gitlab.gnome.org/GNOME/gjs/issues/214
override_dh_auto_configure:
	dh_auto_configure -- --libdir=lib

## gnome-sound-recorder 3.34.0

=== debian/changelog ===
gnome-sound-recorder (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 20 Sep 2019 21:50:30 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                appstream-util <!nocheck>,
                desktop-file-utils <!nocheck>,

## gnome-sound-recorder 3.38.0

=== debian/changelog ===
gnome-sound-recorder (3.38.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Build-Depend on libhandy-1-dev & libgstreamer-plugins-bad1.0-dev
  * Build-Depend on libxml2-utils for xmllint
  * Build-Depend on appstream for the ITS file
  * Depend on gir1.2-handy-1 & gir1.2-gst-plugins-bad-1.0
  * Bump debhelper-compat to 13

  [ Simon McVittie ]
  * Set Rules-Requires-Root to no
  * Standards-Version: 4.4.0 (no changes required)
  * Canonicalize order of Build-Depends (wrap-and-sort -a)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 03 Oct 2020 21:56:52 -0400

=== debian/control ===
--- 
+++ 
@@ -7,24 +7,29 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: appstream,
                appstream-util <!nocheck>,
+               debhelper-compat (= 13),
                desktop-file-utils <!nocheck>,
                dh-sequence-gnome,
                gobject-introspection,
-               libgjs-dev,
-               libgstreamer1.0-dev,
-               gstreamer1.0-tools,
+               libgstreamer-plugins-bad1.0-dev (>= 1.12),
                gstreamer1.0-plugins-base,
                gstreamer1.0-plugins-good,
+               gstreamer1.0-tools,
                itstool,
                libgdk-pixbuf2.0-dev,
                libgirepository1.0-dev,
+               libgjs-dev,
                libglib2.0-dev,
+               libgstreamer1.0-dev,
                libgtk-3-dev (>= 3.12),
+               libhandy-1-dev,
+               libxml2-utils,
                meson (>= 0.46.0),
                pkg-config
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.4.0
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sound-recorder
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sound-recorder.git
@@ -34,16 +39,17 @@
 Architecture: all
 Depends: gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0,
+         gir1.2-gst-plugins-bad-1.0,
          gir1.2-gst-plugins-base-1.0,
          gir1.2-gstreamer-1.0,
          gir1.2-gtk-3.0,
+         gir1.2-handy-1,
          gir1.2-pango-1.0,
          gjs,
          gstreamer1.0-plugins-base,
          gstreamer1.0-plugins-good,
          gstreamer1.0-pulseaudio,
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Breaks: gnome-media (<< 3.4.0-2~)
 Replaces: gnome-media (<< 3.4.0-2~)
 Description: simple and modern sound recorder for GNOME

## gnome-sound-recorder 3.38.1

=== debian/changelog ===
gnome-sound-recorder (3.38.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #982874, #988292)
  * Revert "Add patch to fix "export" dialog disappearing due to GC"
    - now part of new upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 13 May 2021 18:19:57 +0200

gnome-sound-recorder (3.38.0-3) unstable; urgency=medium

  * Team upload
  * Depend on gstreamer1.0-plugins-good (>= 1.18.0) instead of -pulseaudio.
    The PulseAudio plugin is now included in -good instead of being
    separate, and gstreamer1.0-pulseaudio is transitional.
    (Closes: #980804)
  * Add patch to fix "export" dialog disappearing due to GC
    (Closes: #974666)

 -- Simon McVittie <smcv@debian.org>  Sun, 24 Jan 2021 12:15:42 +0000

gnome-sound-recorder (3.38.0-2) unstable; urgency=medium

  * Team upload
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).
  * d/upstream/metadata: Add
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Nov 2020 10:09:45 +0000

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
                gobject-introspection,
                libgstreamer-plugins-bad1.0-dev (>= 1.12),
                gstreamer1.0-plugins-base,
-               gstreamer1.0-plugins-good,
+               gstreamer1.0-plugins-good (>= 1.18.0),
                gstreamer1.0-tools,
                itstool,
-               libgdk-pixbuf2.0-dev,
+               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
                libgirepository1.0-dev,
                libgjs-dev,
                libglib2.0-dev,
@@ -29,7 +29,7 @@
                meson (>= 0.46.0),
                pkg-config
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sound-recorder
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sound-recorder.git
@@ -47,8 +47,7 @@
          gir1.2-pango-1.0,
          gjs,
          gstreamer1.0-plugins-base,
-         gstreamer1.0-plugins-good,
-         gstreamer1.0-pulseaudio,
+         gstreamer1.0-plugins-good (>= 1.18.0),
          ${misc:Depends}
 Breaks: gnome-media (<< 3.4.0-2~)
 Replaces: gnome-media (<< 3.4.0-2~)

## gnome-sound-recorder 40~beta

=== debian/changelog ===
gnome-sound-recorder (40~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/Fix-export-dialog-that-disappears.patch:
    - remove the patch which is included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Mar 2021 11:35:05 +0100

## gnome-sound-recorder 40.0

=== debian/changelog ===
gnome-sound-recorder (40.0-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * New upstream release
    - debian/control.in: Bump libhandy (build-)dependency
  * debian/watch: Update to follow the new GNOME version scheme

 -- Laurent Bigonville <bigon@debian.org>  Fri, 14 May 2021 21:39:03 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: appstream,
                appstream-util <!nocheck>,
                debhelper-compat (= 13),
@@ -24,7 +24,7 @@
                libglib2.0-dev,
                libgstreamer1.0-dev,
                libgtk-3-dev (>= 3.12),
-               libhandy-1-dev,
+               libhandy-1-dev (>= 1.1.90),
                libxml2-utils,
                meson (>= 0.46.0),
                pkg-config
@@ -43,7 +43,7 @@
          gir1.2-gst-plugins-base-1.0,
          gir1.2-gstreamer-1.0,
          gir1.2-gtk-3.0,
-         gir1.2-handy-1,
+         gir1.2-handy-1 (>= 1.1.90),
          gir1.2-pango-1.0,
          gjs,
          gstreamer1.0-plugins-base,

## gnome-sound-recorder 42.0

=== debian/changelog ===
gnome-sound-recorder (42.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Depend on gtk4 and libadwaita
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 10:08:21 -0400

gnome-sound-recorder (40.0-4) unstable; urgency=medium

  * Add patch to support GNOME 42's dark theme preference
  * debian/control.in: Bump minimum libhandy to 1.5.0 for that change

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Feb 2022 13:28:13 -0500

gnome-sound-recorder (40.0-3) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patch from upstream to fix FTBFS (Closes: #1004615)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 31 Jan 2022 13:37:21 +0100

gnome-sound-recorder (40.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Aug 2021 13:24:47 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: appstream,
                appstream-util <!nocheck>,
                debhelper-compat (= 13),
@@ -18,13 +18,13 @@
                gstreamer1.0-plugins-good (>= 1.18.0),
                gstreamer1.0-tools,
                itstool,
+               libadwaita-1-dev (>= 1.0.0),
                libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
                libgirepository1.0-dev,
                libgjs-dev,
                libglib2.0-dev,
                libgstreamer1.0-dev,
-               libgtk-3-dev (>= 3.12),
-               libhandy-1-dev (>= 1.1.90),
+               libgtk-4-dev (>= 4.4.0),
                libxml2-utils,
                meson (>= 0.46.0),
                pkg-config
@@ -37,13 +37,13 @@
 
 Package: gnome-sound-recorder
 Architecture: all
-Depends: gir1.2-gdkpixbuf-2.0,
+Depends: gir1.2-adw-1 (>= 1.1.0),
+         gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0,
          gir1.2-gst-plugins-bad-1.0,
          gir1.2-gst-plugins-base-1.0,
          gir1.2-gstreamer-1.0,
-         gir1.2-gtk-3.0,
-         gir1.2-handy-1 (>= 1.1.90),
+         gir1.2-gtk-4.0 (>= 4.4.0),
          gir1.2-pango-1.0,
          gjs,
          gstreamer1.0-plugins-base,

## gnome-sound-recorder 43~beta

=== debian/changelog ===
gnome-sound-recorder (43~beta-5) unstable; urgency=medium

  * Team upload
  * d/control: Remove unused B-D on libgirepository1.0-dev
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/copyright: src/util.js is no longer included
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Sep 2025 09:42:08 +0100

gnome-sound-recorder (43~beta-4) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Cherry-pick patch to fix AppStream validation error

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 16:57:12 +0200

gnome-sound-recorder (43~beta-3) unstable; urgency=medium

  * Team upload
  * Switch to appstreamcli for MetaInfo validation

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 08:45:13 +0200

gnome-sound-recorder (43~beta-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Stop using debian/control.in and dh-sequence-gnome
  * Run wrap-and-sort
  * Bump Standards Version to 4.7.0

  [ Simon McVittie ]
  * d/control: Drop alternative B-D on libgdk-pixbuf2.0-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 16:10:36 -0500

gnome-sound-recorder (43~beta-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum libadwaita to 1.2~alpha
  * debian/control.in: Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 08 Aug 2022 15:49:05 -0400

=== debian/control ===
Source: gnome-sound-recorder
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               appstream <!nocheck>,
               desktop-file-utils <!nocheck>,
               gobject-introspection (>= 1.80),
               gstreamer1.0-plugins-base,
               gstreamer1.0-plugins-good (>= 1.18.0),
               gstreamer1.0-tools,
               itstool,
               libadwaita-1-dev (>= 1.2~alpha),
               libgdk-pixbuf-2.0-dev,
               libgjs-dev,
               libglib2.0-dev,
               libgstreamer-plugins-bad1.0-dev (>= 1.12),
               libgstreamer1.0-dev,
               libgtk-4-dev (>= 4.4.0),
               libxml2-utils,
               meson (>= 0.46.0),
               pkgconf
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sound-recorder
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sound-recorder.git
Homepage: https://wiki.gnome.org/Design/Apps/SoundRecorder

Package: gnome-sound-recorder
Architecture: all
Depends: gir1.2-adw-1 (>= 1.2~alpha),
         gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gst-plugins-bad-1.0,
         gir1.2-gst-plugins-base-1.0,
         gir1.2-gstreamer-1.0,
         gir1.2-gtk-4.0 (>= 4.4.0),
         gir1.2-pango-1.0,
         gjs,
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good (>= 1.18.0),
         ${misc:Depends}
Breaks: gnome-media (<< 3.4.0-2~)
Replaces: gnome-media (<< 3.4.0-2~)
Description: simple and modern sound recorder for GNOME
 GNOME sound recorder is an utility to make simple audio recording from your
 GNOME desktop. It supports several formats like OGG, MP3 or FLAC.
